Failed to compile error when running in code mode

Post Reply
phelps.sg@gmail.com
Posts: 1
Joined: 18 Jan 2022, 09:06

18 Jan 2022, 15:44

Node version: v14.18.3
Operating system: Ubuntu 20.04
Theme designer version: 7.0.0

Launching with:

Code: Select all

export REACT_APP_EDITOR=code
npm start
Fails with the following error:

Code: Select all

Failed to compile

./src/assets/themes/mytheme/theme.scss (./node_modules/css-loader/dist/cjs.js??ref--6-oneOf-5-1!./node_modules/postcss-loader/src??postcss!./node_modules/resolve-url-loader??ref--6-oneOf-5-3!./node_modules/sass-loader/dist/cjs.js??ref--6-oneOf-5-4!./src/assets/themes/mytheme/theme.scss)
SassError: Invalid CSS after "...  padding: math": expected expression (e.g. 1px, bold), was ".div(nth($inputPadd"
        on line 15 of src/assets/designer/components/input/_autocomplete.scss
        from line 6 of src/assets/designer/_components.scss
        from line 3 of /home/sphelps/local/primereact-designer-7.0.0/src/assets/themes/mytheme/theme.scss
>>         padding: math.div(nth($inputPadding, 1), 2) nth($inputPadding, 2);

   ---------------------^

mert.sincan
Posts: 5074
Joined: 29 Jun 2013, 12:38

02 Feb 2022, 11:18

Hi,

Sorry for the delayed response! @mcandu, could you please check this issue?

mcandu
Posts: 107
Joined: 20 Jan 2021, 16:31

03 Feb 2022, 09:45

Hi,

Could you please share your sass version that you use ?

ChenRvn
Posts: 3
Joined: 02 Sep 2021, 12:10

20 Mar 2022, 20:41

i have also the same problem with react designer version 7

mcandu
Posts: 107
Joined: 20 Jan 2021, 16:31

14 Apr 2022, 09:35

Hi @ChenRvn,

Could you tell me your sass name you use and version that you use on your end ?

Post Reply

Return to “PrimeReact Theme Designer API”

  • Information
  • Who is online

    Users browsing this forum: No registered users and 2 guests